
uses ComUtil

extern virtual

class IXMLHttpRequest
'====================

   public

   extends IDispatch

   HRESULT open(BSTR bstrMethod,BSTR bstrUrl,VARIANT varAsync,VARIANT bstrUser,VARIANT bstrPassword)
   HRESULT setRequestHeader(BSTR bstrHeader,BSTR bstrValue)
   HRESULT getResponseHeader(BSTR bstrHeader,BSTR *pbstrValue)
   HRESULT getAllResponseHeaders(BSTR *pbstrHeaders)
   HRESULT send(VARIANT varBody)
   HRESULT abort(void)
   HRESULT get_status(LONG *plStatus)
   HRESULT get_statusText(BSTR *pbstrStatus)
   HRESULT get_responseXML(IDispatch **ppBody)
   HRESULT get_responseText(BSTR *pbstrBody)
   HRESULT get_responseBody(VARIANT *pvarBody)
   HRESULT get_responseStream(VARIANT *pvarBody)
   HRESULT get_readyState(LONG *plState)
   HRESULT put_onreadystatechange(IDispatch *pReadyStateSink)

end class

end extern

guid CLSID_XMLHTTP60
guid IID_IXMLHTTPRequest
guidval CLSID_XMLHTTP60, "88D96A0A-F192-11D4-A65F-0040963251E5"
guidval IID_IXMLHTTPRequest, "ED8C108D-4349-11D2-91A4-00C04F7969E8"

